## ev-metadata

ev-metadata

## Functions

EvMetadata * | ev_metadata_new ()
gboolean | ev_metadata_get_string ()
gboolean | ev_metadata_set_string ()
gboolean | ev_metadata_get_int ()
gboolean | ev_metadata_set_int ()
gboolean | ev_metadata_get_double ()
gboolean | ev_metadata_set_double ()
gboolean | ev_metadata_get_boolean ()
gboolean | ev_metadata_set_boolean ()
gboolean | ev_is_metadata_supported_for_file ()

## Types and Values

| EvMetadata
| EvMetadataClass

## Object Hierarchy

        GObject
        ╰── EvMetadata

## Description

## Functions

### ev_metadata_new ()

    EvMetadata *
    ev_metadata_new (GFile *file);

### ev_metadata_get_string ()

    gboolean
    ev_metadata_get_string (EvMetadata *metadata,
                            const gchar *key,
                            gchar **value);

### ev_metadata_set_string ()

    gboolean
    ev_metadata_set_string (EvMetadata *metadata,
                            const gchar *key,
                            const gchar *value);

### ev_metadata_get_int ()

    gboolean
    ev_metadata_get_int (EvMetadata *metadata,
                         const gchar *key,
                         gint *value);

### ev_metadata_set_int ()

    gboolean
    ev_metadata_set_int (EvMetadata *metadata,
                         const gchar *key,
                         gint value);

### ev_metadata_get_double ()

    gboolean
    ev_metadata_get_double (EvMetadata *metadata,
                            const gchar *key,
                            gdouble *value);

### ev_metadata_set_double ()

    gboolean
    ev_metadata_set_double (EvMetadata *metadata,
                            const gchar *key,
                            gdouble value);

### ev_metadata_get_boolean ()

    gboolean
    ev_metadata_get_boolean (EvMetadata *metadata,
                             const gchar *key,
                             gboolean *value);

### ev_metadata_set_boolean ()

    gboolean
    ev_metadata_set_boolean (EvMetadata *metadata,
                             const gchar *key,
                             gboolean value);

### ev_is_metadata_supported_for_file ()

    gboolean
    ev_is_metadata_supported_for_file (GFile *file);

## Types and Values

### EvMetadata

    typedef struct _EvMetadata EvMetadata;

### EvMetadataClass

    typedef struct _EvMetadataClass EvMetadataClass;